C
C
C		THIS SUBROUTINE UPDATES A FILE TIME.FOR
C		WITH THE TIME A PLAYER ENTERS AND EXITS
C		THE GAME.  THIS WAS MADE TO OVERSEE THE
C		USAGE OF THE GAME.
C
C
C
	SUBROUTINE STAMP(USR)
	CHARACTER*20	DTE,TME,CON
	CHARACTER*8	USR
	OPEN(UNIT=8,NAME='TIME.DAT',TYPE='UNKNOWN'
     1		,ACCESS='APPEND',SHARED)
	CALL TIME(TME)
	CALL DATE(DTE)
	IF (UNIT .EQ. 1) THEN
		CON='EXITS'
	ELSE
		CON='ENTRS'
	ENDIF
	UNIT=1
	WRITE(8,10),DTE,TME,USR,CON
10	FORMAT(1X,A20,A20,5X,A8,A20)
	CLOSE(UNIT=8)
	END
